#version 330 core
in vec2 textureCoordinate;
out vec4 color;

uniform sampler2D charTexture;
uniform vec4 textColor;

void main() {
	color = vec4(textColor.xyz, textColor.w * texture(charTexture, textureCoordinate).r);
}